Another unit test.
[cfb.git] / cov.sh
diff --git a/cov.sh b/cov.sh
index ba25745bde272e30db5e95bc7d917d9f151912cc..e442016c4d6157434ce450ea3c833123570e40f7 100755 (executable)
--- a/cov.sh
+++ b/cov.sh
@@ -1,7 +1,13 @@
 #!/bin/bash
+
+set -o nounset   ## (set -u) error exit on attempts to deref undefined variable
+set -o errexit   ## (set -e) error exit if subcommand returns nonzero
+
 CFB_ROOT="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
 INSTR_DIR="${CFB_ROOT}/../instr"
 
+. ${CFB_ROOT}/setcp.sh
+
 #####################
 echo Compiling...
 find "${CFB_ROOT}/prod" -name "*.java" | xargs javac -g -Xlint:deprecation